Page MenuHomePhabricator

On CI Jenkins, audit worker labels and remove unused ones
Closed, ResolvedPublic

Description

From T221872, I got rid of the Docker workers that had just 2GB RAM. That also means that the m4executor label is no more needed since all Docker workers are similar now. There are probably a few labels that are no more needed, so this task about listing all labels and find out what they are for/whether we can delete them.

https://integration.wikimedia.org/ci/computer/


All labels as at 2020-05-05:

contint1001:~$ (cd /var/lib/jenkins/nodes && grep -i '<label>' */config.xml)|sed -e 's/\(^\|:\)/|/g'

compiler1001.puppet-diffs.eqiad.wmflabs/config.xml<label>puppet-compiler-node</label>
compiler1002.puppet-diffs.eqiad.wmflabs/config.xml<label>puppet-compiler-node</label>
compiler1003.puppet-diffs.eqiad.wmflabs/config.xml<label>puppet-compiler-node</label>
contint1001/config.xml<label>productionAgents blubber dockerPublish train pipelinelib</label>
contint2001/config.xml<label>productionAgents blubber dockerPublish train pipelinelib</label>
deployment-deploy01/config.xml<label>BetaClusterBastion</label>
integration-agent-docker-1001/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1002/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1003/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1004/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1005/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1006/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1007/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1008/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1009/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1010/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1011/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1012/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1013/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-docker-1014/config.xml<label>codehealth</label>
integration-agent-docker-1016/config.xml<label>Docker blubber pipelinelib</label>
integration-agent-pkgbuilder-1001/config.xml<label>DebianGlue</label>
integration-agent-pkgbuilder-1002/config.xml<label>DebianGlue</label>
integration-agent-puppet-docker-1002/config.xml<label>puppet</label>
integration-agent-qemu-1013/config.xml<label>Qemu</label>
integration-castor03/config.xml<label></label>

Related Objects

StatusSubtypeAssignedTask
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedjeena
ResolvedJdforrester-WMF
ResolvedJdrewniak
ResolvedMstyles
ResolvedEdtadros
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedNone
Resolvedawight
DuplicateLegoktm
StalledNone
OpenNone
Resolvedzeljkofilipin
Resolvedhashar
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdrewniak
OpenNone
OpenEdtadros
OpenNone
Resolvedzeljkofilipin

Event Timeline

hashar created this task.Jun 4 2019, 9:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2019, 9:40 PM
Jdforrester-WMF renamed this task from On CI Jenkins, audit slave labels and remove unused ones to On CI Jenkins, audit worker labels and remove unused ones.Jun 4 2019, 9:48 PM
Jdforrester-WMF updated the task description. (Show Details)
greg triaged this task as Low priority.Jul 23 2019, 8:45 PM
greg moved this task from INBOX to Soon-ish on the Release-Engineering-Team-TODO board.
hashar updated the task description. (Show Details)Dec 9 2019, 7:42 PM

Change 556039 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Drop m4executor Jenkins label

https://gerrit.wikimedia.org/r/556039

Mentioned in SAL (#wikimedia-releng) [2019-12-09T19:49:24Z] <hashar> Removed Jenkins label "hasSlaveScripts" from contint1001 # T225031

hashar updated the task description. (Show Details)Dec 9 2019, 7:49 PM

Mentioned in SAL (#wikimedia-releng) [2019-12-10T13:16:46Z] <hashar> Update Jenkins jobs to drop the m4executor label https://gerrit.wikimedia.org/r/#/c/integration/config/+/556039/ # T225031

Mentioned in SAL (#wikimedia-releng) [2019-12-10T13:20:33Z] <hashar> Removing m4executor labels from Jenkins agents # T225031

Change 556039 merged by jenkins-bot:
[integration/config@master] Drop m4executor Jenkins label

https://gerrit.wikimedia.org/r/556039

hashar updated the task description. (Show Details)Dec 10 2019, 1:24 PM

Change 556669 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] jjb: remove contintLabsSlave label

https://gerrit.wikimedia.org/r/556669

Mentioned in SAL (#wikimedia-releng) [2019-12-12T13:33:40Z] <hashar> Remove label contintLabsSlave from integration-slave-jessie-1002 and integration-slave-jessie-1004 # T225031

Change 556669 merged by jenkins-bot:
[integration/config@master] jjb: remove contintLabsSlave label

https://gerrit.wikimedia.org/r/556669

hashar updated the task description. (Show Details)Dec 12 2019, 1:34 PM
hashar updated the task description. (Show Details)Dec 12 2019, 9:40 PM
saucelabs-01/config.xml<label>BrowserTests</label>
saucelabs-02/config.xml<label>BrowserTests</label>

Removed via T240575: Phase out legacy saucelabs/mediawiki_selenium instances

hashar updated the task description. (Show Details)Dec 12 2019, 9:41 PM
hashar updated the task description. (Show Details)May 5 2020, 10:27 AM
Jdforrester-WMF closed this task as Resolved.Jun 25 2020, 5:19 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Declaring this done.